<div class="call-line" ng-class="getClass()">
    <div class="call-info">
        <div>
            <span class="volume-state call-volume-meters" ng-click="toggleMicrophone(call)" ng-if="call.state == 'Established' && isWebRtcActive()">
                <volume-meter sip-call-id="{{call.userData.SIPCALLID}}" call-state="call.state" show="call.state=='Established'" is-muted="isMuted"></volume-meter>
            </span>
        </div>
        <div class="call-icon">
            <i class="fa" ng-class="[getIconClass(), audioQualityClass()]" aria-hidden="true"></i>
        </div>
        <div class="call-party" ng-if="hasNameAndNumber(call)">
            <div class="call-party-name"><scroll-text>{{call.otherDName}}</scroll-text></div>
            <div class="call-party-number">{{call.otherDN}}</div>
        </div>
        <div class="call-party" ng-if="!hasNameAndNumber(call)">
        <div class="call-party-external-num"><scroll-text>{{call.otherDN}}</scroll-text></div>
        </div>

        <div class="call-queue" ng-class="{'without-volume-meters': call.state != 'Established' || !isWebRtcActive()}">
            <div class="call-queue-name" ng-if="queueDisplayName"><scroll-text>{{queueDisplayName}}</scroll-text></div>
            <div class="call-time" elapsed-time-from="call.startTime"></div>
        </div>
        <div class="call-options" ng-class="{'call-options-margin' : call.state == 'Established' && isWebRtcActive()}">
            <div><img ng-src="/assets/images/ccagent/call/call_rec_{{recording}}.svg" /></div>
            <div><img ng-src="/assets/images/ccagent/call/call_ecoute_discrete_{{listened}}.svg" /></div>
        </div>
    </div>
    <div class="call-actions">
        <div ng-repeat="action in getCallActions()" ng-class="action.label" ng-init="variant='default'" ng-mouseover="variant='over'" ng-mouseout="variant='default'">
            <a href ng-click="action.trigger(call)" title="{{ 'AGT_CALL_' + action.label.toUpperCase() | translate }}">
                <img ng-src="/assets/images/ccagent/call/{{action.img + '_' + variant}}.png" />
            </a>
        </div>
    </div>
</div>
